<?session_start();?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<meta http-equiv="content-type" content="text/html; charset=windows-1251" />
<meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/>
<link rel="shortcut icon" href="ico1.ico" type="image/x-icon" />
</head>
<link rel="stylesheet" href="styleN.css" type="text/css" />
<div class="menu">
<?
$d=date("H:i");
//подключаем файл базы db.php
include("db.php");
$db->openDB();
$vremya = time();
$nnick=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
$nnick2=mysql_fetch_assoc($nnick);
if($vremya-$nnick2[gametime]>600){
echo"</div>";
include ("accaunt.php");
$AC->ACCAUNT();//Проверка Аккаунта
}
?>
<div class='main' style='word-wrap:break-word;padding-bottom:10px'>
<div class="top" style="text-align:center;color:#FFE7BA">

<strong>Характеристики</strong>
</div>
<div class="line"></div>
<div style="padding-left:10px;padding-right:10px">


<?
######################################
#   Made by Astorix                  #
#      2011 г.                       #
#    все права защищенны             #
#      Мрак Подземелья               #
######################################
echo "<link href=\"styleN.css\" type=\"text/css\" rel=\"stylesheet\">";

/*
принимаем параметры:
p,key,no,to,NICK,pass,menu,use,c,d,p
*/
#Атака DAMAGEmin - DAMAGEmax
#Маг.атака MG_DMGmin - MG_DMGmax
#уклон U_UKLON
#Точность U_TOCH
#скорость атаки time_otdix
#Шанс крита SHANS_KRIT
#Шанс блока SHANS_BLOCK
#Броня DEFENCE
#Защита от огня S_FIRE
#Защита от дерева S_WOOD 
#Защита от металла S_METALL
#Защита от стихий S_WIND
#Защита от земли S_EARTH

include("timeREF.php");//ФАЙЛ Обновления времени сессии,если игрок подает какие то признаки активности,то обновляем у него время онлайн


$p = $_GET['p'];
$key = $_GET['key'];
$no = $_GET['no'];
$to = $_GET['to'];
$NICK = $_GET['NICK'];
$pass = $_GET['pass'];
$menu = $_GET['menu'];
$use = $_GET['use'];
$c = $_GET['c'];
$d = $_GET['d'];
$p = @intval($_GET['p']);
//айпи игроков
$ip = $_SERVER['REMOTE_ADDR'];
echo "<title>Характеристики персонажа $_SESSION[s]</title>";

@include('IP_BN/index.php');
if(strlen($_SESSION[s])==0 OR strlen($_SESSION[p])==0){echo"<div class=\"main_title\"><img src=\"img/bad.png\" width=\"16\" height=\"16\"><font color=\"red\"> логин или пароль пустой!</font></div><a href=\"menu.php\"><img src=\"img/al.png\" width=\"16\" height=\"16\"> на главную</a>";die;}
$PR_NICK = mysql_query("SET NAMES cp1251");
$PR_NICK=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\" AND pass=\"$_SESSION[p]\"");
if(mysql_num_rows($PR_NICK)<1){echo"<div class=\"main_title\"><img src=\"img/bad.png\" width=\"16\" height=\"16\"> <font color=\"red\">пользователя с таким логином или паролем не существует</font></div> <a href=\"menu.php\"><img src=\"img/al.png\" width=\"16\" height=\"16\"> на главную</a>";die;}
$query2 = mysql_query("SET NAMES cp1251");
$query2 = mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
include("login_correct.php");
    while ($query3 = mysql_fetch_assoc($query2)) {
$qu_ip=strlen($query3[ip]);
if($qu_ip==7){$q_ip=(substr($query3[ip],0,4));$ip2=(substr($ip,0,4));}//7
if($qu_ip==8){$q_ip=(substr($query3[ip],0,5));$ip2=(substr($ip,0,5));}//8
if($qu_ip==9){$q_ip=(substr($query3[ip],0,6));$ip2=(substr($ip,0,6));}//9
if($qu_ip==10){$q_ip=(substr($query3[ip],0,7));$ip2=(substr($ip,0,7));}//10
if($qu_ip==11){$q_ip=(substr($query3[ip],0,8));$ip2=(substr($ip,0,8));}//11
if($qu_ip==12){$q_ip=(substr($query3[ip],0,9));$ip2=(substr($ip,0,9));}//12
if($qu_ip==13){$q_ip=(substr($query3[ip],0,10));$ip2=(substr($ip,0,10));}//13
if($qu_ip==14){$q_ip=(substr($query3[ip],0,11));$ip2=(substr($ip,0,11));}//14
if($qu_ip==15){$q_ip=(substr($query3[ip],0,12));$ip2=(substr($ip,0,12));}//15
if($q_ip!=$ip2){
            // если ip не совпадает ,то попросит ввести секрет
            $main="
<div>
ваши данные отличаются от прошлого входа,пожалуйста введите секретное слово
<br/>
<form action=\"secret_input.php\" method=\"POST\">
<input name=\"secret\"/>
<br/>

<input type=\"submit\" value=\"готово\" class=\"submit\">
</form>
<a href=\"ds.php\">на главную</a>
</div>
";die($main);    
}
// если ip совпадает то откроется главная страница игры
            
if($q_ip==$ip2 AND $t-$query3[gametime]>300){
            
//подключаем главную страницу_2 игры
include("site_main.php");            
        }        

}
/*
тут будет проверка есть ли такой предмет вообще в базе,если нету
ваводим ошибку
*/
$tmp = '';


?>
<?
echo "<li><a href=\"game.php\"><img src=\"img/attck.png\"> в игру</a></li><li><a href=\"pers.php\"><img src=\"img/grup.png\"> персонаж</a></li>";
?>
<br/><br/>
<div class="point-line"></div><div style="background:#A23232">
<center><b><font color="#FFE7BA">Боевые характеристики:</font></b></center></div>
<div class="point-line"></div>
<IMG SRC="img/attck.png" width="24" height="24"> Атака:
<?
//выводим минимальную и  максимальную атаку персонажа
$db->openDB();
$attackTOT = mysql_query("SET NAMES cp1251");

$attackTOT = mysql_query("SELECT * FROM users WHERE NICK='$_SESSION[s]'");
while ($aATTACK = mysql_fetch_assoc($attackTOT)) {
    //тут потом еще будет прибавка урона взависимости от силы
    $ATTACKmin = $aATTACK['DAMAGEmin'];
    $ATTACKmax = $aATTACK['DAMAGEmax'];
    echo "$ATTACKmin - $ATTACKmax";
}
?>
<br/>
<img src="img/int.PNG" width="24" heigth="24"> Маг.атака:
<?
/*
не сделанно
*/

$db->openDB();
$attackTOT = mysql_query("SET NAMES cp1251");
$attackTOT = mysql_query("SELECT * FROM users WHERE NICK='$_SESSION[s]'");
while ($aATTACK = mysql_fetch_assoc($attackTOT)) {
    //тут потом еще будет прибавка урона взависимости от силы
    
    $SHANS_KRIT = $aATTACK['SHANS_KRIT'];
    
    echo "$aATTACK[MG_DMGmin] - $aATTACK[MG_DMGmax]";


?>
<br>
<img src="img/uvorot.PNG" width="24" height="24"> уклон: <?echo $aATTACK[U_UKLON];?> %<br/>
<img src="img/toch.PNG" width="24" height="24"> 
Точность:
<?
echo"$aATTACK[U_TOCH] %";
?>
<?echo "<br/><img src=\"img/skor.png\" width=\"24\" height=\"24\"> скорость атаки:1уд/".$aATTACK[time_otdix]." сек"?>
<br/>
<img src="img/krit.PNG" width="24" height="24">
<?
echo "Шанс крита: " . $SHANS_KRIT . " %";
?><br/>
<img src="img/4.PNG" width="24" height="24"> Парирование:
<?
}
//выводим шанс заблокировать удар данным щитом
$db->openDB();
$def = mysql_query("SET NAMES cp1251");
$def = mysql_query("SELECT * FROM users WHERE NICK='$_SESSION[s]'");
while ($aDEF = mysql_fetch_assoc($def)) {
    $SHANS_BLOCK = $aDEF['SHANS_BLOCK'];

    $DEFENCE = $aDEF['DEFENCE'];
    
    echo "$SHANS_BLOCK %";


?>
<br/>
<img src="img/2.PNG" width="24" heigth="24"> Броня:
<?
echo $DEFENCE;
}
$db->openDB();
$defm = mysql_query("SET NAMES cp1251");
$defm = mysql_query("SELECT * FROM users WHERE NICK='$_SESSION[s]'");
$defm2 = mysql_fetch_assoc($defm);
?>

<br/><img src="img/slashq.PNG" width="24" heigth="24"> Броня от магии:<?echo $defm2[MAG_DEFENCE];?>
<div class="point-line"></div><div style="background:#A23232">
<center><b><font color="#FFE7BA">Сопротивление:</font></b></center>
</div>
<div class="point-line"></div>

<?
$db->openDB();
$SS = mysql_query("SET NAMES utf8");
$SS = mysql_query("SELECT * FROM users WHERE NICK='$_SESSION[s]'");
while ($SS2 = mysql_fetch_assoc($SS)) {?>
<img src="img/fire.PNG" width="24" heigth="24"> Защита от огня: <?echo $SS2[S_FIRE];?><br/>
<img src="img/wind.PNG" width="24" heigth="24"> Защита от стихий: <?echo $SS2[S_WIND];?><br/>
<img src="img/earth.PNG" width="24" heigth="24"> Защита от земли: <?echo $SS2[S_EARTH];?><br/>
<img src="img/dark.PNG" width="24" heigth="24"> Защита от тьмы: <?echo $SS2[S_DARK];?><br/>









<?
}
$pr = mysql_query("SET NAMES cp1251");
$pr = mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$_SESSION[s]\" AND IL_NO=\"1\"");
$prC=mysql_num_rows($pr);
include_once("LVL_table.php");
include("refresh.php");
?>
</div></div>
 </div>
 
 <?include("footer.php");?>
</b>
</font>
</body>
</html>
